package com.inkasso.factoring.financingmanagement.entity.vo;

import com.inkasso.factoring.file.entity.FileStorageDO;
import com.inkasso.factoring.financingmanagement.entity.CFinancingAccountsReceivableInfo;
import com.inkasso.factoring.financingmanagement.entity.CFinancingApplicantInfo;
import com.inkasso.factoring.financingmanagement.entity.CFinancingBasicInfo;
import com.inkasso.factoring.financingmanagement.entity.CFinancingGoodsInfo;

import java.util.List;

/**
 * @Description : 融资申请Vo类
 * @Author : L.Jia
 * @Date: 2023-12-22 11:26
 */
public class FinancingApplyVo {

    /**
     * 融资基础信息
     */
    private CFinancingBasicInfo financingBasicInfo;

    /**
     * 融资货物信息
     */
    private List<CFinancingGoodsInfo> financingGoodsInfoList;

    /**
     * 融资底层信息
     */
    private List<CFinancingAccountsReceivableInfo> financingAccountsReceivableInfoList;

    /**
     * 融资申请人信息
     */
    private CFinancingApplicantInfo financingApplicantInfo;

    /**
     * 附件Id
     */
    private List<Long> fileIds;

    /**
     * 附件
     */
    private List<FileStorageDO> fileStorageDOList;

    /**
     * 是否提交
     */
    private Boolean visible;

    public CFinancingBasicInfo getFinancingBasicInfo() {
        return financingBasicInfo;
    }

    public void setFinancingBasicInfo(CFinancingBasicInfo financingBasicInfo) {
        this.financingBasicInfo = financingBasicInfo;
    }

    public List<CFinancingGoodsInfo> getFinancingGoodsInfoList() {
        return financingGoodsInfoList;
    }

    public void setFinancingGoodsInfoList(List<CFinancingGoodsInfo> financingGoodsInfoList) {
        this.financingGoodsInfoList = financingGoodsInfoList;
    }

    public List<CFinancingAccountsReceivableInfo> getFinancingAccountsReceivableInfoList() {
        return financingAccountsReceivableInfoList;
    }

    public void setFinancingAccountsReceivableInfoList(List<CFinancingAccountsReceivableInfo> financingAccountsReceivableInfoList) {
        this.financingAccountsReceivableInfoList = financingAccountsReceivableInfoList;
    }

    public CFinancingApplicantInfo getFinancingApplicantInfo() {
        return financingApplicantInfo;
    }

    public void setFinancingApplicantInfo(CFinancingApplicantInfo financingApplicantInfo) {
        this.financingApplicantInfo = financingApplicantInfo;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public Boolean getVisible() {
        return visible;
    }

    public void setVisible(Boolean visible) {
        this.visible = visible;
    }

    public List<FileStorageDO> getFileStorageDOList() {
        return fileStorageDOList;
    }

    public void setFileStorageDOList(List<FileStorageDO> fileStorageDOList) {
        this.fileStorageDOList = fileStorageDOList;
    }
}
